# Copyright 2008 NetApp, Inc., contribution by Ganesh R Narayanan.
#
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License v2 for more
# details.
# 
# 

# modify BUILD_DIR to point to the montavista tool chain
BUILD_DIR = /usr/local/build/montavista/montavista-3.1-sirus

# modify LSPHOME to point to the montavista linux folder
LSPHOME = /u/ganeshrn/p4/rlm/main/montavista_3.1/hardhat/devkit/lsp/luna/linux-2.4.20_mvl31

# modify TGTROOT to point to the montavista tool chain
TGTROOT = /usr/local/build/montavista/montavista-3.1-sirus/pro/devkit/ppc/405/target

MONTAVISTA_LIBPATH += $(BUILD_DIR)/pro/devkit/ppc/405/target/usr/lib
INCLUDE = ../include
CFLAGS = -g -Wall -Werror
LDFLAGS = -L$(LD_LIBPATH) -L$(MONTAVISTA_LIBPATH)

TOOL_DIR = $(BUILD_DIR)/pro/devkit/ppc/405/bin

CC = $(TOOL_DIR)/ppc_405-gcc
AR = $(TOOL_DIR)/ppc_405-ar
AS = $(TOOL_DIR)/ppc_405-as
CPP = $(TOOL_DIR)/ppc_405-cpp
LD = $(TOOL_DIR)/ppc_405-ld
