/* Copyright 2004 NetApp, Inc., contribution by Eric Gumtow.
 * Copyright 2008 NetApp, Inc., contribution by Ganesh R Narayanan.
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 * License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License v2 for more
 * details.
 */ 

#ifndef __PROCFS_FILE_PVT_H__
#define __PROCFS_FILE_PVT_H__


#define MODULE_VERSION "1.0"
#define MODULE_NAME "RLM procfs files"
#define ROOT_NAME "rlm"

#define PROCFS_MAX_NAME_LEN 32

#define NUM_PROCFS_FILES (sizeof(files) / sizeof(procfs_props_t))


typedef struct {
	char file_name[PROCFS_MAX_NAME_LEN];
	void *buf;
	int buf_size;
	struct proc_dir_entry *entry;
} procfs_props_t;


#endif
